Skip to main content
GET
Retrieve Loads of a Job for a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

job-id
string<uuid>
required

Job ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[ticket][flagged]
boolean

Filter to only loads with flagged or unflagged tickets

filter[states][]
enum<string>[]

Filter loads by state. Multiple states can be provided to filter loads matching any of the specified states.

Available options:
created,
to_pickup,
arrived_pickup,
loaded,
to_dropoff,
arrived_dropoff,
unloaded,
completed,
canceled,
paused
filter[job][driver_ids]
array

The assigned Driver IDs for the Job

filter[job][pickup_site_ids]
array

The associated Pickup Site IDs for the Job

filter[job][dropoff_site_ids]
array

The associated Dropoff Site IDs for the Job

filter[job][states]
array

Job states

filter[job][vendor_account_ids]
array

The associated Vendor Account IDs for the Job

filter[job][material_ids]
array

The associated Material IDs for the Job

filter[material_ids]
array

The associated Material IDs

Response

OK

data
Load-LoadSummary-Read · object[]
required